Subject: Re: [PATCH 0/20] Batch network namespace cleanup

From: jamal <[email-masked]>
Date: Mon, 30 Nov 2009 07:44:03 -0500

On Sun, 2009-11-29 at 17:46 -0800, Eric W. Biederman wrote:
> 
> Recently Jamal and Daniel perform some experiments and found that
> large numbers of network namespace exiting simultaneously is very
> inefficient.  24+ minutes in some configurations.  The cpu overhead
> was negligible but it results in long hold times of net_mutex, and
> memory being consumed a long time after the last user has gone away.
> 
> I looked into it and discovered that by batching network namespace
> cleanups I can reduce the time for 4k network namespaces exiting from
> 5-7 minutes in my configuration to 44 seconds.

Excellent work Eric. I have time today so i can test these patches
status quo vs.
This is against net-next?

cheers,
jamal